Subject: Re: How to set git commit timestamp

From: René Scharfe <[email-masked]>
Date: Sun, 06 May 2007 19:26:54 +0200

Guido Ostkamp schrieb:
> Hello,
> 
> does somebody know a method to specify a timestamp for a 'git commit'?
> 
> I am writing a tool to convert from another SCM to git and need to
> replay all checkins. I know how to set the log message and the author,
> but there appears to be no command option for the timestamp (Mercurial
> for example, has a 'hg commit -d date <file>' syntax for this).

You can use the environment variable GIT_COMMITTER_DATE to force a
specific commit date.  Please see the man page of git-commit-tree for
(some) more info.

René